<?php
include 'header.php';
include 'erpc_saldos_enderecar_toolbar.php'; //Nome da tabela _list.php
include_once 'connect.php';

// Método para post de Query Avançada
	$consulta = "select * from erpc_saldos_enderecar s left join erpc_produtos p on s.id_produto = p.id where 1=1 ";

	//Efetuando busca avançada - se passado os parametros
	if(isset($_POST['pesquisar'])) {
		$id = trim($_POST['id']);
		$ds_documento = trim($_POST['ds_documento']);
		$ds_documento_descricao = trim($_POST['ds_documento_descricao']);
		$id_tipo_movimentacao = trim($_POST['id_tipo_movimentacao']);
		$id_produto = trim($_POST['id_produto']);
		$ds_produto = trim($_POST['ds_produto']);
		$id_local_estoque = trim($_POST['id_local_estoque']);
		$vl_saldo_enderecar= trim($_POST['vl_saldo_enderecar']);

		$consulta .= (!empty($id)            				 ? " and id            like '%$id%'"            : '');
		$consulta .= (!empty($ds_documento)          ? " and id            like '%$ds_documento%'"            : '');
		$consulta .= (!empty($ds_documento_descricao)? " and id            like '%$ds_documento_descricao%'"            : '');
		$consulta .= (!empty($id_tipo_movimentacao)  ? " and id            like '%$id_tipo_movimentacao%'"            : '');
		$consulta .= (!empty($id_produto)            ? " and id            like '%$id_produto%'"            : '');
		$consulta .= (!empty($ds_produto)            ? " and id            like '%$ds_produto%'"            : '');
		$consulta .= (!empty($id_local_estoque)      ? " and id            like '%$id_local_estoque%'"            : '');
		$consulta .= (!empty($vl_saldo_enderecar)    ? " and id            like '%$vl_saldo_enderecar%'"            : '');

	}

	
?>

<div class="block">
  <div class="header">
  <h2>Lista de Saldos Endereçados</h2>
  </div>
  <div class="content">
    <div class="table-responsive">
      <table class="table table-bordered table-striped table-responsible sortable">
        <thead>
          <tr>
            <th width=05%>ID</th>
            <th width=10%>Documento</th>
						<th width=10%>Tipo Mov.</th>
            <th width=10%>Cód. Prod.</th>
						<th width=40%>Descrição do Produto</th>
						<th width=10%>Local</th>
						<th width=10%>Qtde</th>

						<th width=05%>Excluir</th>
          </tr>
        </thead>
        <tbody>

          <?php

			$resultado = mysqli_query($conexao, $consulta) or die ($erro = mysqli_error($conexao));
	   //	print_r($resultado);
			if (mysqli_num_rows($resultado)>0) {
            while ($registro = mysqli_fetch_assoc($resultado)){
							//print_r($registro);
            $id       	= $registro['id'];
            $id_crip	 	= base64_encode($id);

						$ds_documento = $registro['ds_documento'];
						$ds_documento_descricao = $registro['ds_documento_descricao'];
						$id_tipo_movimentacao = $registro['id_tipo_movimentacao'];
						$id_produto = $registro['id_produto'];
						$ds_produto = $registro['ds_produto'];
						$id_local_estoque = $registro['id_local_estoque'];
						$vl_saldo_enderecar= $registro['vl_saldo_enderecar'];

			   echo "<tr>";
            // echo "<td class='text-center'><input type='checkbox' /></td>";
            echo "<td>$id</td>";
            echo "<td>$ds_documento</td>";
						echo "<td>$id_tipo_movimentacao</td>";
						echo "<td>$id_produto</td>";
						echo "<td>$ds_produto</td>";
						echo "<td>$id_local_estoque</td>";
						echo "<td>$vl_saldo_enderecar</td>";

            // echo "<td class='text-center'><a href='erpc_saldos_enderecar_edit.php?id=$id_crip'>  <i class='glyphicon glyphicon-pencil' title='Editar'><span class='sr-only'>Editar</span></i></a></td>";
            echo "<td class='text-center'><a href='erpc_saldos_enderecar_remove.php?id=$id_crip'><i class='glyphicon glyphicon-remove' title='Remover'><span class='sr-only'>Remover</span></i></a></td>";
          echo "</tr>";
            }
          }
          ?>
        </tbody>
      </table>
    </div> <!-- table-responsive -->
  </div> <!-- content -->
</div> <!-- block -->
<?php include 'footer.php';?>
